<?php
 /**************************************************************************
 *   Copyright (C) 2008 by oscim   Project lossim                          *
 *   a@oscim.fr                                                            *
 *       [created : 03.03.2008, 22:36:41] @oscim                           *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
  session_start();
  require("crawltrak.php");
  if (isset($_GET['edit']) && $_GET['edit']==true || isset($_SESSION['mode_edit']) ) {
	  $_SESSION['mode_edit']=true;
	  require("admin/config/sys_config.php");
	  require("admin/config/sys_path.php");
	  require("include/lib/lib/general_edit.php");
	  $mode_edit=false;
  }
  else $mode_edit=false;
  include("include/sys_config.php");
  $e=@include("include/sys_path.php");
  if(!$e) header("Location:install/") ;
  require("include/lib_ext.php");
  require("include/lib/inc/var_config_cst.inc");
  var_config_cst($LIB,'');
  require("include/sys_tbl_sql.php");
  var_config_cst($TBL,'');
  var_config_cst($_PX_config,'');
  require("include/lib/lib/general.php");
  require("include/lib/lib/template.php");
  require("include/lib/class/class.lang.php");
  new lang($_PX_config);;
  require("include/lib/class/class.cstr.php");
  $cstr=new cstr();
  $cstr->add_tbl_php($LIB,'LIB');
  $cstr->_add_class('page',"include/lib/class/class.page.php",$lang,'',$mode_edit, false);
  $pg=$cstr->page;
  $cstr->_call('page','draw');
?>